# The replication tree is defined here.
# An INSTANCE is the name used for a replication cluster (one database).
# it can handle several sets of replication within the same database.
# That means that you can split your schemas into different SETs.
# For each SET you will define which node is server (provides data), and which one 
# receives data (subscriber).
# 
# Examples :
#
# Simple master - slave
#   INSTANCE        SET MAS SLAVE
#   my_replication  1   1   2
#
# Simple master - 2 slaves
#   INSTANCE        SET MAS SLAVE
#   my_replication  1   1   2
#   my_replication  1   1   3
#
# Simple cascade
# node 1 forward to node 2 and node 2 forward to node 3 and 4
#   INSTANCE        SET MAS SLAVE
#   my_replication  1   1   2
#   my_replication  1   2   3
#   my_replication  1   2   4
#
# Complete example with cascade and different masters
# node 1 is master of set 1 and 2, node 4 is master of set 3
#	INSTANCE		SET	MAS	SLAVE
#	my_replication	1	1	2
#	my_replication	1	2	3
#	my_replication	1	2	4
#	my_replication	2	1	2
#	my_replication	2	1	3
#	my_replication	3	4	3
#	my_replication	3	4	2
#
# you can add more INSTANCE : different installation of slony schema
# Simple master - slave but for different slony cluster
#   INSTANCE        SET MAS SLAVE
#   my_replication  1   1   2
#   my_rep_stats    1   3   4


