#!/bin/bash
# Auteur : Stéphane Schildknecht
# 2006-11-17
# Rev 2007-04-17
# Modifications :
#  - 20071214 Bernard Choppy
#    possibilite de lancer depuis n'importe ou
#    systematisation de l'utilisation des variables
#  - 20071216 Bernard Choppy
#    deplacement des fichiers "*.slon" dans $SLON_TEMP


# 51_create_upgrade.sh
## FR : Préparation du script de montée de version de Slony
## EN: Creating slony upgrade script

#################################################
# Begin initialise configuration
CDIR=`dirname $0`
pushd $CDIR/.. >> /dev/null
SLON=`pwd`
popd >> /dev/null

# TODO do we want those path for functions, really ?
# TODO prevent multiple load of sources files.
. $SLON/etc/slony_include.h
. $SLON_ETC/fonctions.sh
. $SLON_ETC/tpl_functions.sh

filename="$0"

export LD_LIBRARY_PATH=$PG/lib/
# End initialise configuration
#################################################

#################################################
# Begin Sanity checks
relbase_exist
# End Sanity checks
#################################################

#################################################
# Begin Real work
# Récupération des noms des bases dans le fichier bases.h
for CLUSTER in `grep -v "^#" $SLON_ETC/bases.h | awk '{print $1}' | sort -u`
  do
  # Is CLUSTER defined?
  replication_exist $CLUSTER

  echo -n "  ${CLUSTER}..."
  ${SLON_OUTILS}/upgrade_slon.sh -c $CLUSTER > "${SLON_TEMP}/${CLUSTER}.slon.up"
  exit_error_msg "upgrade_slon.sh"

  chmod 700 ${SLON_TEMP}/${CLUSTER}.slon.up
  echo $(gettext "OK")
done

echo $(gettext "All : OK")
exit 0
# End Real work
#################################################
