#!/bin/bash

# supervision.sh
## EN: Quick and dirty script to watch replication status
# Script permettant d'afficher le statut de toutes les réplications

#################################################
# Begin initialise configuration
CDIR=`dirname $0`
pushd $CDIR/.. >> /dev/null
SLON=`pwd`
popd >> /dev/null

# TODO do we want those path for functions, really ?
# TODO prevent multiple load of sources files.
. $SLON/etc/slony_include.h
. $SLON_ETC/fonctions.sh
. $SLON_ETC/tpl_functions.sh

filename="$0"

export LD_LIBRARY_PATH=$PG/lib/
# End initialise configuration
#################################################

#################################################
# Begin help, getopt and handle case
slhelp() {
  echo "$filename"
  echo ""
  echo $(eval_gettext "Usage: \$filename [delay in second]")
  echo ""
}
# End help, getopt and handle case
#################################################

#################################################
# Begin Sanity checks
relations_exist
# End Sanity checks
#################################################

#################################################
# Begin Real work
DELAI=$1
DELAI=${DELAI:-20}
if [ $(( $DELAI*1 )) != $DELAI ] ; then
  echo $(eval_gettext "Delay '$DELAI' must be an integer (seconds)")
  slhelp
  exit 1
fi

echo $DELAI

COMMANDE=""
for REPLI in `grep -v "^#" $SLON_ETC/relations.h | awk '{print $1}' |sort -u`; do
  COMMANDE="$COMMANDE $SLON_OUTILS/slony_ctl.sh -c $REPLI status;"
done

echo $COMMANDE

watch -n $DELAI "$COMMANDE"
# End Real work
#################################################
