#!/bin/bash
# Modifications :
#  - 20071214 Bernard Choppy
#    possibilite de lancer depuis n'importe ou
#    systematisation de l'utilisation des variables
#

#################################################
# Begin initialise configuration
CDIR=`dirname $0`
pushd $CDIR/.. >> /dev/null
SLON=`pwd`
popd >> /dev/null

# TODO do we want those path for functions, really ?
# TODO prevent multiple load of sources files.
. $SLON/etc/slony_include.h
. $SLON_ETC/fonctions.sh
. $SLON_ETC/tpl_functions.sh

filename="$0"

export LD_LIBRARY_PATH=$PG/lib/
# End initialise configuration
#################################################

#################################################
# Begin help, getopt and handle case
slhelp() {
  echo "$filename"
  echo ""
  echo $(eval_gettext "Usage: \$filename *options*")
  echo $(gettext      "Options:")
  echo -e $(gettext   "\\t-h, --help\\tPrint this message")
  echo -e $(gettext   "\\t-c, --cluster\\tReplication cluster name")
  echo -e $(gettext   "\\t-s, --set\\tThe number of the set")
  echo -e $(gettext   "\\t-p, --pere\\tThe Father")
  echo -e $(gettext   "\\t-f, --fils\\tThe Son")
  echo ""
}

TEMP=`getopt -n $0 -o c:s:p:f:h -l help,set:,cluster:,fils:,pere: -- "$@"`
if [ $? != 0 ] ; then
  slhelp
  exit 1
fi
eval set -- "$TEMP"

CLUSTER=""
SET=""
PERE=""
FILS=""

while [ $# -ge 1 ]; do
  case "$1" in
	--help)
	  HELP=1
	  slhelp
	  exit 0
	  ;;
	-c|--cluster)
	  shift
	  CLUSTER="$1"
	  ;;
	-s|--set)
	  shift
	  SET="$1"
	  ;;
	-p|--pere)
	  shift
	  PERE="$1"
	  ;;
	-f|--fils)
	  shift
	  FILS="$1"
	  ;;
	--)
	  shift
	  break
	  ;;
	*)
	  echo $(gettext "Warning !")
	  slhelp
	  exit 1
	  ;;
  esac
  shift
done

if [ x"$CLUSTER" = "x" -o x"$SET" = "x" -o x"$PERE" = "x" -o x"$FILS" = "x" ]; then
  slhelp
  exit 1
fi
# End help, getopt and handle case
#################################################

#################################################
# Begin Sanity checks
relations_exist
# End Sanity checks
#################################################

#################################################
# Begin Real work
relation $SET

trouve=0
#echo -n $PERE---
for (( i=1 ; i <= taille_rel ; i+=2 )); do
  if [ ${REL[$i]} -eq $FILS ]; then
  if [ $trouve -gt 0 ]; then
	echo -n "   \--"
  else
	echo -n "$FILS--"
  fi
  let trouve=$trouve+1
  ${SLON_OUTILS}/tree.sh -c $CLUSTER -s $SET -p $FILS -f ${REL[$i+1]}
  fi
done
if [ $trouve -eq 0 ]; then
  echo $FILS
fi
exit 0
# End Real work
#################################################
